<div>
    <button id="modal-table-btn" class="box box-red add-button-dark">
        <a routerLink="/widget-table-create">
            <p>New Table</p>
        </a>
    </button>
    <button id="modal-messenger-btn" class="box box-red add-button-dark">
        <a routerLink="/widget-messenger-create">
            <p>New Messenger</p>
        </a>
    </button>
</div>

<div>
    <app-widgets-search></app-widgets-search>
    <ng-container *ngIf="!(searchValue$ | async)">
        <div *ngFor="let widget of widgets">
            <app-widget-table-details *ngIf="widget.type === 'table'" [widgetInfo]="widget" (widgetDelete)="onWidgetDelete($event)"></app-widget-table-details>
            <app-widget-messenger-details *ngIf="widget.type === 'messenger'" [widgetInfo]="widget" (widgetDelete)="onWidgetDelete($event)">
            </app-widget-messenger-details>
        </div>
    </ng-container>
</div>